
public class Vector {

    public final static int X_POS = 0;
    public final static int Y_POS = 1;
    public final static int Z_POS = 2;
    public final static int W_POS = 3;
    
    public Vector (double x, double y, double z, double w) {
    
	vec = new double[4];
	org = new double[4];
	org[X_POS] = vec[X_POS] = x;
	org[Y_POS] = vec[Y_POS] = y;
	org[Z_POS] = vec[Z_POS] = z;
	org[W_POS] = vec[W_POS] = w;
    }
    
    public Vector (double x, double y, double z) {
    
	this(x,y,z,1);
    }
    public Vector () {
    
	this (0,0,0,1);
    }
    
    public void reset() {
    
	vec[X_POS] = org[X_POS];
	vec[Y_POS] = org[Y_POS];
	vec[Z_POS] = org[Z_POS];
	vec[W_POS] = org[W_POS];
    }
    double vec[];
    private double org[];
}
